package com.bc_chat.bc_base.contract


import com.bc_chat.bc_base.entity.ListModel
import com.bc_chat.bc_base.entity.group.MemberBean
import com.bc_chat.bc_base.entity.wallet.SendRedPacketEntity
import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：群
 */

interface ApplyWithdrawContract {

    interface Presenter {

        fun applyWithdraw( amount: String
                          , user_account: String
                          , platform_name: String
                          , info: String
                          , withdraw_desc: String?)

    }

    interface View : BaseContract.BaseView {

        fun applyWithdrawSuccess()

        fun applyWithdrawFailure(exception: Exception?)

    }
}
