package com.bc_chat.bc_base.contract

import com.bc_chat.bc_base.entity.ListModel
import com.bc_chat.bc_base.entity.group.MemberBean


/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：群用户列表
 */

interface GroupMemberContract {

    interface Presenter {
        /**
         * 获取群用户
         */
        fun queryGroupMember(groupId: String?,isShowDialog:Boolean? = true )

    }

    interface View : GroupInfoContract.View {

        fun queryGroupMemberSuccess(memberModel: ListModel<MemberBean>)

        fun queryGroupMemberFailure(exception: Exception)
    }
}
