package com.bc_chat.bc_base.task

import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.google.gson.JsonObject
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/9/6
 * email：526309416@qq.com
 * desc：
 */
class FriendApplyHandlerTask(val id: Int
                             , var state: Int
) : RxDataAsyncTask<JsonObject, ResultEntity<JsonObject>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<JsonObject>>? {
        val params: MutableMap<String, Any?> = mutableMapOf(
                "id" to id
                , "state" to state
        )
        return RetrofitHelper.api.handleFriendApply(Encryption.encryption(params))
    }
}
