package com.bc_chat.bc_base.task

import com.bc_chat.bc_base.entity.wallet.WithdrawRecordBean
import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.google.gson.JsonObject
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/9/6
 * email：526309416@qq.com
 * desc：
 */
class WithdrawRecordTask(val page_num: Int
                         , var page_size: Int
) : RxDataAsyncTask<List<WithdrawRecordBean>, ResultEntity<List<WithdrawRecordBean>>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<List<WithdrawRecordBean>>>? {
        val params: MutableMap<String, Any?> = mutableMapOf(
                "page_num" to page_num
                , "page_size" to page_size
        )
        return RetrofitHelper.api.myWithdrawLog(Encryption.encryption(params))
    }
}
