package com.bc_chat.circle.dto;


import com.bc_chat.circle.entity.Emoji;

public class EmojiconDatas {
    public static int[] emojis = {
            0x1f603,
            0x1f600,
            0x1f60a,
            0x263a,
            0x1f609,
            0x1f60d,
            0x1f618,
            0x1f61a,
            0x1f61c,
            0x1f61d,
            0x1f633,
            0x1f601,
            0x1f614,
            0x1f60c,
            0x1f612,
            0x1f61f,
            0x1f61e,
            0x1f623,
            0x1f622,
            0x1f602,
            0x1f62d,
            0x1f62a,
            0x1f630,
            0x1f605,
            0x1f613,
            0x1f62b,
            0x1f629,
            0x1f628,
            0x1f631,
            0x1f621,
            0x1f624,
            0x1f616,
            0x1f606,
            0x1f60b,
            0x1f637,
            0x1f60e,
            0x1f634,
            0x1f632,
            0x1f635,
            0x1f608,
            0x1f47f,
            0x1f62f,
            0x1f62c,
            0x1f615,
            0x1f636,
            0x1f607,
            0x1f60f,
            0x1f611,
            0x1f648,
            0x1f649,
            0x1f64a,
            0x1f47d,
            0x1f4a9,
            0x1f494,
            0x1f525,
            0x1f4a2,
            0x1f4a4,
            0x1f6ab,
            0x2b50,
            0x26a1,
            0x1f319,
            0x2600,
            0x26c5,
            0x2601,
            0x2744,
            0x2614,
            0x26c4,
            0x1f44d,
            0x1f44e,
            0x1f91d,
            0x1f44c,
            0x1f44a,
            0x270a,
            0x270c,
            0x270b,
            0x1f64f,
            0x261d,
            0x1f44f,
            0x1f4aa,
            0x1f46a,
            0x1f46b,
            0x1f47c,
            0x1f434,
            0x1f436,
            0x1f437,
            0x1f47b,
            0x1f339,
            0x1f33b,
            0x1f332,
            0x1f384,
            0x1f381,
            0x1f389,
            0x1f4b0,
            0x1f382,
            0x1f356, 
            0x1f35a,
            0x1f366,
            0x1f36b,
            0x1f349,
            0x1f377,
            0x1f37b,
            0x2615,
            0x1f3c0,
            0x26bd,
            0x1f3c2,
            0x1f3a4,
            0x1f3b5,
            0x1f3b2,
            0x1f004,
            0x1f451,
            0x1f484,
            0x1f48b,
            0x1f48d,
            0x1f4da,
            0x1f393,
            0x270f,
            0x1f3e1,
            0x1f6bf,
            0x1f4a1,
            0x1f4de,
            0x1f4e2,
            0x1f556,
            0x23f0,
            0x23f3,
            0x1f4a3,
            0x1f52b,
            0x1f48a,
            0x1f680,
            0x1f30f
    };

    private static final Emoji[] DATA = createData();

    private static Emoji[] createData() {
        Emoji[] datas = new Emoji[emojis.length];
        for (int i = 0; i < emojis.length; i++) {
            datas[i] = new Emoji(emojis[i], getEmojiStringByUnicode(emojis[i]),1);
        }
        return datas;
    }

    public static Emoji[] getData() {
        return DATA;
    }

    //将int对应的表情转换为String类型
    private static String getEmojiStringByUnicode(int unicode) {
        return new String(Character.toChars(unicode));
    }
}
