package com.bc_chat.contacts.task

import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.google.gson.JsonObject
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：解散群
 */
class DissolutionGroupTask constructor(var groupId: String?, var userName: String?) : RxDataAsyncTask<JsonObject, ResultEntity<JsonObject>>() {
    /*
     groupId	int	是	群id
    userName	string	是	群主昵称(操作人昵称)
    * */
    override fun loadDataAsyncTask(): Flowable<ResultEntity<JsonObject>>? {
        val params: MutableMap<String, Any?> = mutableMapOf("groupId" to groupId, "userName" to userName)
        return RetrofitHelper.api.dissolutionGroup(Encryption.encryption(params))
    }
}
