package com.bc_chat.contacts.task

import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.google.gson.JsonObject
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/3/6
 * email：526309416@qq.com
 * desc：踢出用户
 */
class KickoutGroupMemberTask constructor(var groupId: String?, var userName: String?, var userNames: String?, var uids: String) : RxDataAsyncTask<JsonObject, ResultEntity<JsonObject>>() {
    /*
    groupId	int	是	群id
    * */
    override fun loadDataAsyncTask(): Flowable<ResultEntity<JsonObject>>? {
        val params: MutableMap<String, Any?> = mutableMapOf("groupId" to groupId, "userName" to userName, "userNames" to userNames, "uids" to uids)
        return RetrofitHelper.api.kickoutGroupMember(Encryption.encryption(params))
    }
}
