package com.bc_chat.im.dataSource

import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.google.gson.JsonObject
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：收藏
 */
class CollectionTask constructor(var type: Int,var content: String) : RxDataAsyncTask<JsonObject, ResultEntity<JsonObject>>() {
    //cuid	int	是	被获取资料用户id
    override fun loadDataAsyncTask(): Flowable<ResultEntity<JsonObject>>? {
        val params: MutableMap<String, Any?> = mutableMapOf("type" to type,"content" to content)
        return RetrofitHelper.api.collection(Encryption.encryption(params))
    }
}
