package com.bc_chat.account.contract;


import com.bc_chat.bc_base.contract.UpLoadPictureContract;
import com.bc_chat.bc_base.contract.WebContract;

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：
 */

public interface RegisterContract {

    interface Presenter {
        /**
         * 注册
         * @param phone 手机号
         * @param pwd 密码
         * @param photo 头像
         * @param nickname 昵称
         * @param introduction 签名
         * @param province 省
         * @param city 市
         */
        void register(String phone, String pwd, String photo, String nickname, String introduction, String province, String city);

        /**
         * 获取网页协议
         * @param type
         */
        void loadWebPage(int type);
    }

    interface View extends UpLoadPictureContract.View ,WebContract.View {

        void registerFailure(Exception exception);

        void registerSuccess(String userId);

    }
}
