package com.bc_chat.bc_base.contract


import com.bc_chat.bc_base.entity.ListModel
import com.bc_chat.bc_base.entity.group.MemberBean
import com.bc_chat.bc_base.entity.wallet.SendRedPacketEntity
import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：群
 */

interface SendRedPacketContract {

    interface Presenter {

        fun sendRedPacket(type: Int?
                          , receiver_id: String?
                          , amount: String
                          , pay_key: String
                          , group_id: String?
                          , num: Int?
                          , title: String?)

        fun groupinfoTask(groupId: String)
    }

    interface View : BaseContract.BaseView {

        fun sendRedPacketSuccess(sendRedPacketEntity: SendRedPacketEntity?)

        fun sendRedPacketFailure(exception: Exception?)

        fun queryGroupMemberSuccess(memberModel: ListModel<MemberBean>?)

    }
}
