package com.bc_chat.bc_base.task

import com.bc_chat.bc_base.entity.wallet.MucRedPacketDetailEntity
import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/9/6
 * email：526309416@qq.com
 * desc：
 */
class MucRedPacketDetailTask(var packet_id: String) : RxDataAsyncTask<MucRedPacketDetailEntity, ResultEntity<MucRedPacketDetailEntity>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<MucRedPacketDetailEntity>>? {
        val params: MutableMap<String, Any?> = mutableMapOf("packet_id" to packet_id)
        return RetrofitHelper.api.mucRedPacketDetail(Encryption.encryption(params))
    }
}
