package com.bc_chat.bc_base.task

import com.bc_chat.bc_base.entity.wallet.OpenRedPacketEntity
import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/9/6
 * email：526309416@qq.com
 * desc：
 */
class OpenRedPacketTask(var packet_id: String) : RxDataAsyncTask<OpenRedPacketEntity, ResultEntity<OpenRedPacketEntity>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<OpenRedPacketEntity>>? {
        val params: MutableMap<String, Any?> = mutableMapOf("packet_id" to packet_id)
        return RetrofitHelper.api.takeRedPacket(Encryption.encryption(params))
    }
}
