package com.bc_chat.bc_base.task

import com.bc_chat.bc_base.entity.ApkVersion
import com.bc_chat.bc_base.entity.wallet.WalletEntity
import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.google.gson.JsonObject
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/9/6
 * email：526309416@qq.com
 * desc：
 */
class WalletTask() : RxDataAsyncTask<WalletEntity, ResultEntity<WalletEntity>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<WalletEntity>>? {
        val params: MutableMap<String, Any?> = mutableMapOf()
        return RetrofitHelper.api.getAccountMoney(Encryption.encryption(params))
    }
}
