package com.bc_chat.bc_base.utils

import android.Manifest

/**
 * author：Created by zhaohaoting on 2019/3/4
 * email：526309416@qq.com
 * desc：
 */
object Const {

    const val LAST_LOGIN_USER_ID = "last_login_user_id"
    const val QR_CODE_URL_SOURCE = "bc_chat"
    const val LAST_LOGIN_PHONE = "last_login_phone"
    const val DISTURB_TIME = "disturb_time"
    const val SERVICE_ID = "1,2"
    const val SYSTEM_NOTICE_ID = "1"
    const val SERVICE_NAME = "系统消息"
    const val SERVICE_NOTICE_NAME = "公告消息"
    const val ADMIN_ID = "22"

    object PushMethod {
        const val DISS_GROUP: String = "1" //解散群
        const val FOLLOW_LIST: String = "10" //关注列表
        const val TOPIC_COMMENT: String = "11" //跳转一级评论
        const val TOPIC_CHILD_COMMENT: String = "12" //跳转二级评论
    }

    object App {
        const val OPPO_APPID = "30194859"
        const val OPPO_APPKEY = "5184c9862de14818adf911c4a19213b5"
        const val OPPO_APPSECRET = "0c851865a79d4d3c9133f187768b4187"
        const val OPPO_APPSERVERSECRET = "5d792f8176ea4ac0bb613d0148a20364"

        const val HUAWEI_APPID = "101135009"
        const val HUAWEI_APPKEY = "12ae9ef7cf4fdd694cc25e2fd478d6f80be8ab493aea2caf7da5e11e82a59501"

        const val XIAOMI_APPID = "2882303761518171262"
        const val XIAOMI_APPKEY = "5531817179262"
        const val XIAOMI_APPSECRET = "Trku/X96qVwmFHDbi/qQqQ=="

        const val VIVO_APPID = "102531235"
        const val VIVO_CPID = "a51f0a4cdaa82e9613c"

//        const val MEIZU_APPID = "1007650"
//        const val MEIZU_APPKEY = "68bdac345c8a434d9c8199c967b207d8"
//        const val MEIZU_APPSECRET = "0fe1c557583f40eca40ce772b30ed950"

        const val MEIZU_APPID = "124170"
        const val MEIZU_APPKEY = "e2624ff65d1c45b48ee9463fc19275a0"
        const val MEIZU_APPSECRET = "be7d905222dd44009cc1fa4842961cf6"
    }

    object ObserverKey {
        const val GROUP_ADMIN: String = "group_admin" //值类型为boolean
        const val USER_LOGIN: String = "user_login" //值类型为boolean
        const val UNREAD_MSG_COUNT: String = "unread_msg_count" //值类型为int
        const val BLACK_SETTING: String = "black_setting" //值类型为String
        const val UPDATE_FRIEND_LIST: String = "update_friend_list" //值类型为String
        const val UPDATE_FRIEND_INFO: String = "update_friend_info" //值类型为String
        const val DELETE_FRIEND_LIST: String = "delete_friend_list" //值类型为String
        const val REFRESH_GROUP_MEMBER: String = "refresh_group_member" //值类型为String
        const val DISSOLUTION_GROUP: String = "dissolution_group" //值类型为String
        const val REFRESH_GROUP_INFO: String = "refresh_group_info" //值类型为String
        const val SEND_MESSAGE_RESULT: String = "send_message_result" //值类型为Boolean
        const val FORWARD_MESSAGE: String = "forward_message" //转发//值类型为String
        const val EXIT_GROUP: String = "exit_group" //转发//值类型为String
        const val UPDATE_MINE_USER_INFO: String = "update_mine_user_info" //转发//值类型为String
        const val CREATE_GROUP: String = "create_group" //创建群//值类型为String
        const val UN_READ_CHANGE: String = "un_read_change" //值类型为Int
        const val TOPIC_CHILD_COMMENT: String = "topic_child_comment" //子消息评论
        const val TOPIC_COMMENT: String = "topic_comment" //消息评论
        const val FOLLOW_TOPIC: String = "follow_topic" //关注
        const val SCANNER_QRCODE: String = "scanner_qrcode" //值类型为String
        const val NEW_FRIEND: String = "new_friend" //值类型为String
        const val GROUP_KICKING: String = "group_kicking" //值类型为String
        const val GROUP_NOTICE_REFRESH: String = "group_notice_refresh" //值类型为String

    }

    object RequestCode {
        const val SCANNER: Int = 51 //请求玛 扫描
    }

    object Action {
        const val CREATE_GROUP: String = "create_group" //建群
        const val INVITE_GROUP_MEMBER: String = "invite_group_member" //邀请群成员
        const val KICK_GROUP_MEMBER: String = "kick_group_member" //踢出群成员
        const val ALTER_GROUP_MEMBER: String = "alter_group_member" //邀请群成员
        const val GROUP_ASSIGNMENT: String = "group_assignment" //转让群
        const val SET_GROUP_ADMIN: String = "set_group_admin" //设置群管理
        const val FORWARD_MESSAGE: String = "forward_message" //转发消息
        const val NEED_LOGIN: String = "need_login" //被挤
        const val PERFECT_INFO: String = "perfect_info" //完善资料
        const val UPDATE_USER_INFO: String = "update_user_info" //修改资料
        const val DISSOLUTION_GROUP: String = "dissolution_group" //解散群
        const val NEW_NOTIFICATION: String = "new_notification" //收到通知
        const val CIRCLE_LIKE: String = "circle_like" //圈子关注
        const val NOTICE_START_MAIN: String = "notice_start_main" //
    }

    object QrType {
        const val USER_TYPE: String = "1" //用户
        const val GROUP_TYPE: String = "2" //群
    }

    object VerfiyCodeType {
        //        1-注册 2-忘记密码
        const val REGISTER_TYPE: Int = 1
        const val FORGET_TYPE: Int = 2
    }

    object WebPageType {
        //        1-用户协议 2-关于我们 3-隐私政策
        const val USER_PROTOCOL: Int = 1
        const val AOUT_PROTOCOL: Int = 2
        const val PRIVATE_PROTOCOL: Int = 3
    }

    object OSS {
        const val OSS_AK = "LTAI4GA9ffXBErkAyqxxTaEh"
        const val OSS_AKS = "UM1XYvrDcM3b5SacYLnZQnjNFi63hI"
        const val BUCKET_NAME = "feixin123"
        const val OSS_END_POINT = "oss-cn-zhangjiakou.aliyuncs.com"
    }

    object Permission {
        object Key {
            const val CALL_PHONE = 1
            const val STORAGE_CAMERA = 2
            const val READ_CONTACT = 3
            const val STORAGE = 4
        }

        object Value {
            val CALL_PHONE = arrayOf(Manifest.permission.CALL_PHONE)

            val STORAGE_CAMERA = arrayOf(Manifest.permission.READ_EXTERNAL_STORAGE, Manifest.permission.CAMERA)

            val READ_CONTACT = arrayOf(Manifest.permission.READ_CONTACTS, Manifest.permission.WRITE_CONTACTS)

            val STORAGE = arrayOf(Manifest.permission.READ_EXTERNAL_STORAGE, Manifest.permission.WRITE_EXTERNAL_STORAGE)
        }
    }

    object GROUP_ROLE {
        const val ROLE_GROUP_LORDE: Int = 1 //群主
        const val ROLE_GROUP_ADMIN: Int = 2 //群管理
        const val ROLE_GROUP_ORDINARY: Int = 3  //普通成员
    }

    object CollectionType {
        const val TYPE_TEXT_MESSAGE: Int = 1  //收藏文字
        const val TYPE_IMAGE_MESSAGE: Int = 2 //收藏图片
        const val TYPE_VOICE_MESSAGE: Int = 3 //收藏语言
        const val TYPE_SIGHT_MESSAGE: Int = 4 //收藏视频
    }
}