package com.bc_chat.circle.task

import com.bc_chat.bc_base.entity.Hudgens
import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：
 */
class HudgensTask  : RxDataAsyncTask<List<Hudgens>, ResultEntity<List<Hudgens>>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<List<Hudgens>>>? {
        return RetrofitHelper.api.hudgens(Encryption.encryption(mutableMapOf()))
    }
}
